/* FOR REPORTS */

body {
    font-size: .875rem;
}

.feather {
    width: 16px;
    height: 16px;
    vertical-align: text-bottom;
}


/*
   * Sidebar
   */

.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 100;
    /* Behind the navbar */
    padding: 0;
    box-shadow: inset -1px 0 0 rgba(0, 0, 0, .1);
}

.sidebar-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 48px;
    /* Height of navbar */
    height: calc(100vh - 48px);
    padding-top: .5rem;
    overflow-x: hidden;
    overflow-y: auto;
    /* Scrollable contents if viewport is shorter than content. */
}

.sidebar .nav-link {
    font-weight: 500;
    color: #333;
}

.sidebar .nav-link .feather {
    margin-right: 4px;
    color: #999;
}

.sidebar .nav-link.active {
    color: #007bff;
}

.sidebar .nav-link:hover .feather,
.sidebar .nav-link.active .feather {
    color: inherit;
}

.sidebar-heading {
    font-size: .75rem;
    text-transform: uppercase;
}


/*
   * Navbar
   */

.navbar-brand {
    padding-top: .75rem;
    padding-bottom: .75rem;
    font-size: 1rem;
    /* background-color: rgba(0, 0, 0, .25); */
    /* box-shadow: inset -1px 0 0 rgba(0, 0, 0, .25); */
}

.navbar .form-control {
    padding: .75rem 1rem;
    border-width: 0;
    border-radius: 0;
}

.form-control-dark {
    color: #fff;
    background-color: rgba(255, 255, 255, .1);
    border-color: rgba(255, 255, 255, .1);
}

.form-control-dark:focus {
    border-color: transparent;
    box-shadow: 0 0 0 3px rgba(255, 255, 255, .25);
}


/*
   * Utilities
   */

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}


/* datepicker {
    width: 100%;
  }
 */

 ::placeholder {
    /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #fff;
    opacity: 1;
    /* Firefox */
}

:-ms-input-placeholder {
    /* Internet Explorer 10-11 */
    color: #fff;
}

::-ms-input-placeholder {
    /* Microsoft Edge */
    color: #fff;
}


/* .card-body{
  color: #007bff;
} */

.bg-brand {
    background-color: #22313D;
}

.bg-search-btn {
    background-color: #27ae60;
}

#vehicle-card {
    color: #3498db;
}

#amount-card {
    color: #e67e22;
}

a {
    -webkit-transition: .25s all;
    transition: .25s all;
}

.card {
    overflow: hidden;
    -webkit-box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
    -webkit-transition: .25s box-shadow;
    transition: .25s box-shadow;
}

.card:focus,
.card:hover {
    -webkit-box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18), 0 4px 15px 0 rgba(0, 0, 0, 0.15);
    box-shadow: 0 5px 11px 0 rgba(0, 0, 0, 0.18), 0 4px 15px 0 rgba(0, 0, 0, 0.15);
}

.card-inverse .card-img-overlay {
    background-color: rgba(51, 51, 51, 0.85);
    border-color: rgba(51, 51, 51, 0.85);
}


/* .preloader {
  z-index: 10;
  background-color: #fff;
  background: url('../images/progress-loader.gif') no-repeat 50% 50% transparent;
} */

.overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.9);
    z-index: 2;
    cursor: pointer;
}

.preloader {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 50%;
    left: 50%;
    /* font-size: 50px; */
    /* color: green; */
    transform: translate(-50%, -50%);
    -ms-transform: translate(-50%, -50%);
    background: url('../images/progress-loader.gif') no-repeat 50% 50% transparent;
}

.form-control-dark option {
    color: #000;
}

.page-link {
    color: #343a40;
}

.page-link:hover {
    color: #28a745;
}

.page-item.active .page-link {
    background-color: #343a40;
    border-color: #343a40;
}

.bg-blue {
    background-color: #3498db;
}

.color-white {
    color: #fff
}


.custom-select {
    /* SVG background image */
    background: rgba(255, 255, 255, .1) url("data:image/svg+xml;utf8,<svg xmlns='http://www.w3.org/2000/svg' width='100' height='100' fill='%23343a40'><polygon points='0,0 100,0 50,50'/></svg>") no-repeat;
    background-size: 10px;
    background-position: calc(100% - 12px) calc(60%);
    background-repeat: no-repeat;
  }